Submit external input for a paused workflow execution
Server:
https://{kibana_url}
- POST /api/workflows/executions/{executionId}/steps/{stepId}/resume/external
- POST /s/{space_id}/api/workflows/executions/{executionId}/steps/{stepId}/resume/external
Refer to Spaces for more information.
Resume a workflow execution that is paused and waiting for external input. Submit input values as a JSON request body, authenticated with a token query parameter. Returns an HTML confirmation page.
Path Parameters
-
executionIdstring · max: 128required -
Workflow execution ID
-
stepIdstring · max: 128required -
Workflow step execution ID
Query Parameters
-
tokenstring · max: 128required The resume token authenticating this request.
Request
Type: object
Response
An HTML confirmation page confirming that the input was received and the workflow execution was resumed.
Response Type: string